**Replication do file for regression and marginal effects figures, Griffiths and Wasser (2018)

use "Online Appendix 1_Secessionist Types.dta"

eststo clear

quietly logit Success i.Violence_UCDP i.Contiguous
eststo m1 

quietly logit Success i.Violence_UCDP i.Contiguous i.democracy vlevel recent
eststo m2

quietly logit Success i.Violence_UCDP i.democracy if Contiguous==1 & Binary==0
eststo m3

quietly logit Success i.Violence_UCDP i.democracy vlevel recent i.proto if Contiguous==1 & Binary==0
eststo m4

esttab, se pr2 scalars(chi2 df_m p r2_p ll) 

eststo clear

/*Create Figure 1, mfx of Model 2 for Overseas vs. contiguous, by regime type */

quietly logit Success i.Violence_UCDP i.Contiguous i.democracy vlevel recent
margins Contiguous#democracy
marginsplot, scheme(s2mono) title("") ytitle("Probability of Success") xtitle("Category", size(large)) xlabel(, angle(45)) legend(subtitle("Regime Type", size(small)))

/*Create Figure 2, mfx of Model 4 for regime type, by proto-state: */
quietly logit Success i.Violence_UCDP i.democracy vlevel recent i.proto if Contiguous==1 & Binary==0
margins democracy#proto
marginsplot, scheme(s2mono) title("") ytitle("Probability of Success") xtitle("Regime Type", size(large)) xlabel(, angle(60)) legend( subtitle("Existence of Proto State", size(small)))
